Invarn Docs

Get Packs

GET/api/v1/servers/{guild}/packs

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/servers/string/packs"
{  "enabled": true,  "packs": [    {      "pack": "string",      "name": "string",      "position": 0,      "contributes": true,      "items": 0    }  ],  "available": [    {      "id": "string",      "name": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "loose": [    {      "id": "string",      "kind": "emoji",      "name": "string",      "animated": true,      "url": "string"    }  ],  "slots": [    {      "kind": "emoji",      "used": 0,      "limit": 0    }  ]}